[DO NOT USE] ENotif/EConfirm & further enhancements (tracking) [superseded by #MediaWiki-Email]
Closed, InvalidPublic

Description

In accordance with Brion, I open this tracking bugzilla for MediaWiki plus
ENotif/Eauthent, starting with

Users, who are interested in ENotif are asked to add their address to the CC
list of http://bugzilla.wikipedia.org/show_bug.cgi?id=454

  1. Bug 181 Assign lasting ID to latest revision of articles
  2. Bug 454 E-mail notification (EN) for page changes of watch-listed pages,

user_talk page, and for new pages

  1. Bug 536 For pages on watchlist save last seen version number
  2. Bug 581 treat user_talk pages as every other "normal" page
  3. Bug 603 Delete + undelete cycle doesn't preserve old_id
  4. Bug 727 Number of watching users per page to be shown on recent changes view

(finished)

Bug 782 User option "show only the current revisions of pages" suppresses

listing of all older revisions of pages in recent changes view

  1. Bug 804 create an LVR REPOSITORY for last-visited revisions until they are visited
  2. Bug 824 user preference page: do not show help for realname if "realname"

field is disabled by sysop

  1. Bug 866 Email authentication (EA) by mailing a temporary one-time password
  2. Bug 952 table user gets a new column user_emailauthenticationtimestamp
  3. Bug 959 address must comply RFC-822 (or RFC-2822 ?)
  4. Bug 1363 Enotif Reset Nofication Flags does not work
  5. Bug 1370 ENotif mails are not automatically reenabled after sent when watching

users visits watched and notified page

  1. Bug 1541 "mail me a new password" email has no FROM:
  2. Bug 1572 Add diff link to "You have new messages"
  3. Bug 1746 Subject of email-notifications must be quoted-printable.
  4. Bug 1855 waste through varchar in database
  5. Bug 1876 Show "You have new messages on your user or user_talk page" -- i.e.

both pages are notified

Bug 1895 renaming "(diff)" and "(last)" on recent changes and hist


Version: 1.20.x
Severity: enhancement
URL: http://www.mediawiki.org/wiki/Extension:Email_notification

Details

Reference
bz1932

Related Objects

StatusAssignedTask
InvalidWikinaut
OpenJoHammer
InvalidNone
DeclinedNone
ResolvedNone
OpenNone
DeclinedWikinaut
InvalidWikinaut
ResolvedNone
OpenNone
OpenNone
ResolvedNone
ResolvedNone
ResolvedWikinaut
ResolvedWikinaut
ResolvedNone
OpenNone
ResolvedCatrope
DeclinedNone
ResolvedWikinaut
DeclinedNone
ResolvedNone
ResolvedNone
ResolvedWikinaut
DeclinedNone
ResolvedNone
DeclinedWikinaut
ResolvedWikinaut
ResolvedWikinaut
ResolvedWikinaut
Resolvedhashar
OpenNone
Resolveddemon
DeclinedNone
ResolvedNone
ResolvedNone
OpenNone
DeclinedNone
InvalidNone
ResolvedNone
ResolvedNone
OpenParent5446
OpenNone
OpenNone
ResolvedNone
ResolvedNone
OpenNone
ResolvedUmherirrender
ResolvedWikinaut
ResolvedNone
OpenNone
OpenNone
ResolvedNone
OpenNone
DeclinedNone
ResolvedKrenair
ResolvedNone
DeclinedNone
ResolvedNone
OpenNone
OpenNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedDereckson
Declined01tonythomas
bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz1932.
Wikinaut created this task.Apr 20 2005, 6:51 AM

The title was adapted, because "EConfirm", "EC", "e-mail address confirmation"
is the new term for what was formerly known as EAuthent",
"EA", "e-mail address authentication".

See bug 866 for detailed description of EConfirm, wich sends a token now

Adding 'tracking' keyword.

Added a bunch more. This component needs some love, even if Echo will replace its functionality in the medium-term for Wikimedia, as I imagine third parties may wish to keep using it.

(In reply to comment #3)

Added a bunch more. This component needs some love, even if Echo will replace
its functionality in the medium-term for Wikimedia, as I imagine third
parties > may wish to keep using it.

I don't think that Echo is useful and can replace E-Notif. E-Notif as a "push" method is essential for many of us.

Echo will include sending e-mails to users about events of different types; it will be configurable, but it will be a superset of ENOTIF's functionality, AFAIAA.

Qgil added a subscriber: Qgil.

Any opinions about converting this mega tracking task in an own Phabricator project?

If we were going to have a "Notifications" project, that'd be awesome; part of the issue is that a lot of these tasks are things that can be, or are already partially, solved in "Echo". Tracking these more coherently would make sense.

Any opinions about converting this mega tracking task in an own Phabricator project?

I don't see a benefit. If the tracking bug is to be killed, we can likely just add everything to MediaWiki-Email.

Nemo_bis set Security to None.
Nemo_bis closed this task as Invalid.

we can likely just add everything to MediaWiki-Email.

Done on 11 open tasks.

Anyone can reopen this tracking bug if they feel like using it for something specific. (An alternative is a workboard in the component.)

Danny_B moved this task from Tag to Transition in progress on the Tracking board.Jul 26 2016, 6:53 PM
Liuxinyu970226 renamed this task from ENotif/EConfirm & further enhancements (tracking) to [DO NOT USE] ENotif/EConfirm & further enhancements (tracking) [superseded by #MediaWiki-Email].Nov 12 2017, 1:37 AM